Package Details: rust-i586-git 1.0.0.beta.r27177.ge2504cfc76-1

Git Clone URL: https://aur.archlinux.org/rust-i586-git.git (read-only, click to copy)
Package Base: rust-i586-git
Description: Rust for i586 machines without SSE2 (needs to be built on newer machines)
Upstream URL: None
Licenses: MIT
Conflicts: rustup
Provides: rust
Submitter: captain
Maintainer: captain
Last Packager: captain
Votes: 1
Popularity: 0.000000
First Submitted: 2017-09-22 06:38 (UTC)
Last Updated: 2017-09-22 06:38 (UTC)

Required by (1199)

Sources (1)

Latest Comments

captain commented on 2022-03-18 10:39 (UTC)

A rust compiler is not required for building this.

I'm working on fixing the other issues.

FabioLolix commented on 2021-08-16 13:09 (UTC)

Fails to build:

  • error: vendoring required, but vendor directory does not exist.
  • Run cargo vendor without sudo to initialize the vendor directory.

A rust compiler is missing from makedepnds

deep_thought commented on 2018-08-02 08:40 (UTC)

cmake should be a makedepends

andreas_baumann commented on 2018-08-01 11:09 (UTC) (edited on 2018-08-01 11:09 (UTC) by andreas_baumann)

I'm getting:

thread 'main' panicked at '

couldn't find required command: "1-gcc"

', bootstrap/sanity.rs:66:13
note: Run with `RUST_BACKTRACE=1` for a backtrace.
failed to run: /mnt/bulk/rust-i586-git/src/rust-i586-git/build/bootstrap/debug/bootstrap build
Build completed unsuccessfully in 0:07:45